variables:
  GIT_SUBMODULE_STRATEGY: recursive

stages:
  - build
  - publish

make:
  stage: build
  image: ghcr.io/inti-cmnb/kicad7_auto_full:latest
  script:
    - rm -rf outputs
    - mkdir -p outputs
    - kibot --out-dir outputs/main
    - git tag -l | xargs '-I{}' bash -c "git reset --hard; git checkout {}; kibot --out-dir 'outputs/{}'"
  artifacts:
    untracked: true
    expire_in: 4 hour
  tags:
    - docker
  only:
    - main
    - tags

make-mr:
  stage: build
  image: ghcr.io/inti-cmnb/kicad7_auto_full:latest
  script:
    - kibot
  artifacts:
    untracked: true
    expire_in: 4 hour
  tags:
    - docker
  only:
    - merge_requests

pages:
  stage: publish
  image: debian:stable-slim
  script:
    - rm -rf public/
    - cp -r outputs public
    - find public -maxdepth 1 -mindepth 1 -type d -printf '%f\n' | sort | sed -e '1i<html><body><ul>' -e '$a</ul></body></html>' -r -e '/^\./d' -e 's|(.*)|<li><a href="\1"><code>\1</code></a></li>|' > public/index.html
  artifacts:
    paths:
    - public
    expire_in: 1 hour
  tags:
    - docker
  only:
    - main
    - tags
